PAPI_query_event(3)

NAME
PAPI_query_event -

Query if PAPI event exists.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_query_event(int EventCode);

PAPI_query_event() asks the PAPI library if the PAPI Preset event can be counted on this architecture. If the event CAN be counted, the function returns PAPI_OK. If the event CANNOT be counted, the function returns an error code. This function also can be used to check the syntax of native and user events.

Parameters:
    EventCode -- a defined event such as PAPI_TOT_INS.

Return values:
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOEVNT The PAPI preset is not available on the underlying hardware.

Examples

    * int retval;
    * // Initialize the library
    * retval = PAPI_library_init(PAPI_VER_CURRENT);
    * if (retval != PAPI_VER_CURRENT) {
    *   fprintf(stderr,
    *   exit(1);
    * }
    * if (PAPI_query_event(PAPI_TOT_INS) != PAPI_OK) {
    *   fprintf(stderr,
    *   exit(1);
    * }
    *

See Also:
    PAPI_remove_event

    PAPI_remove_events

    PAPI_presets

    PAPI_native

Author

Generated automatically by Doxygen for PAPI from the source code.